> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--sbom/queries/get-single-sbom-library.md).

# getSingleSbomLibrary

Gets detailed information about a specific library in an SBOM.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
query GetSingleSbomLibrary($getSingleSbomLibraryInput: GetSingleSbomLibraryInput) {
  getSingleSbomLibrary(getSingleSbomLibraryInput: $getSingleSbomLibraryInput) {
    id
    references {
      triggerPackage
      location
      locationLink
      dependencyType
      dependencyLevel
      commit {
        commitedAt
        committerName
        committerEmail
      }
      fileName
      declaredConstraint
    }
    language
    libraryName
    libraryVersion
    license
    appName
    location
    dependencyType
    source
    appId
    locationLink
    appLink
    pkgName
    copyWriteInfo
    copyWriteInfoLink
    libLink
    vulnerabilityCounts {
      appox
      critical
      high
      medium
      low
      info
    }
    triggerPackage
    vulnerabilities {
      issueId
      cwe {
        name
        shortName
        description
        url
      }
      cveSeverityFactor {
        sfName
        sfDescription
        sfChangedNumber
        evidences {
          key
          value
          link
          snippet {
            snippetLineNumber
            language
            text
            fileName
          }
          callBranch
        }
      }
      oxSeverity
      severityNumberFromTool
      severityFromTool
      cve
      cveLink
      cvsVer
      cvssVersion
      epss
      percentile
      libName
      dependencyChain
      runtimeStatus
      runtimeContext {
        runtimeStatus
        cloudContexts {
          provider
          accountId
          region
          clusterName
          namespace
          containerRuntime
        }
      }
      libVersion
      chainDepth
      exploitInTheWild
      exploitInTheWildLink
      description
      dateDiscovered
      minorVerWithFix
      majorVerWithFix
      exploitRequirement
      exploitCode
      originalSeverity
    }
    latestVersion
    latestVersionDate
    stars
    forks
    openIssues
    packageManager
    purl
    packageManagerLink
    maintainers
    contributors
    downloads
    sourceLink
    notPopular
    licenseIssue
    malicious
    malwareType
    osVname
    notMaintained
    isDeprecated
    notImported
    notUpdated
    dependencyLevel
    requestId
    licenseLink
    artifactInSbomLibs {
      image
      imageLink
      imageCreatedAt
      sha
      os
      osVersion
      baseImage
      baseImageVersion
      tag
      layer
      registryName
      source
    }
    sha
    maintainersList {
      name
      email
    }
    runtimeStatus
    runtimeContext {
      runtimeStatus
      cloudContexts {
        provider
        accountId
        region
        clusterName
        namespace
        containerRuntime
      }
    }
    usedVersionReleaseDate
    projectDescription
    firstSeenDate
    pinState
    declaredConstraint
    lockfilePresent
    referenceCount
    imageSource
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "getSingleSbomLibraryInput": {
    "scanId": "c9da693d-8906-4a32-93c9-2ffdb1cebb99",
    "appId": "30966426",
    "library": "example",
    "libraryName": "example",
    "triggerPackage": "example",
    "libId": "example"
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "query GetSingleSbomLibrary($getSingleSbomLibraryInput: GetSingleSbomLibraryInput) { getSingleSbomLibrary(getSingleSbomLibraryInput: $getSingleSbomLibraryInput) { id references { triggerPackage location locationLink dependencyType dependencyLevel commit { commitedAt committerName committerEmail } fileName declaredConstraint } language libraryName libraryVersion license appName location dependencyType source appId locationLink appLink pkgName copyWriteInfo copyWriteInfoLink libLink vulnerabilityCounts { appox critical high medium low info } triggerPackage vulnerabilities { issueId cwe { name shortName description url } cveSeverityFactor { sfName sfDescription sfChangedNumber evidences { key value link snippet { snippetLineNumber language text fileName } callBranch } } oxSeverity severityNumberFromTool severityFromTool cve cveLink cvsVer cvssVersion epss percentile libName dependencyChain runtimeStatus runtimeContext { runtimeStatus cloudContexts { provider accountId region clusterName namespace containerRuntime } } libVersion chainDepth exploitInTheWild exploitInTheWildLink description dateDiscovered minorVerWithFix majorVerWithFix exploitRequirement exploitCode originalSeverity } latestVersion latestVersionDate stars forks openIssues packageManager purl packageManagerLink maintainers contributors downloads sourceLink notPopular licenseIssue malicious malwareType osVname notMaintained isDeprecated notImported notUpdated dependencyLevel requestId licenseLink artifactInSbomLibs { image imageLink imageCreatedAt sha os osVersion baseImage baseImageVersion tag layer registryName source } sha maintainersList { name email } runtimeStatus runtimeContext { runtimeStatus cloudContexts { provider accountId region clusterName namespace containerRuntime } } usedVersionReleaseDate projectDescription firstSeenDate pinState declaredConstraint lockfilePresent referenceCount imageSource } }",
 "variables": {
    "getSingleSbomLibraryInput": {
      "scanId": "c9da693d-8906-4a32-93c9-2ffdb1cebb99",
      "appId": "30966426",
      "library": "example",
      "libraryName": "example",
      "triggerPackage": "example",
      "libId": "example"
    }
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'query GetSingleSbomLibrary($getSingleSbomLibraryInput: GetSingleSbomLibraryInput) { getSingleSbomLibrary(getSingleSbomLibraryInput: $getSingleSbomLibraryInput) { id references { triggerPackage location locationLink dependencyType dependencyLevel commit { commitedAt committerName committerEmail } fileName declaredConstraint } language libraryName libraryVersion license appName location dependencyType source appId locationLink appLink pkgName copyWriteInfo copyWriteInfoLink libLink vulnerabilityCounts { appox critical high medium low info } triggerPackage vulnerabilities { issueId cwe { name shortName description url } cveSeverityFactor { sfName sfDescription sfChangedNumber evidences { key value link snippet { snippetLineNumber language text fileName } callBranch } } oxSeverity severityNumberFromTool severityFromTool cve cveLink cvsVer cvssVersion epss percentile libName dependencyChain runtimeStatus runtimeContext { runtimeStatus cloudContexts { provider accountId region clusterName namespace containerRuntime } } libVersion chainDepth exploitInTheWild exploitInTheWildLink description dateDiscovered minorVerWithFix majorVerWithFix exploitRequirement exploitCode originalSeverity } latestVersion latestVersionDate stars forks openIssues packageManager purl packageManagerLink maintainers contributors downloads sourceLink notPopular licenseIssue malicious malwareType osVname notMaintained isDeprecated notImported notUpdated dependencyLevel requestId licenseLink artifactInSbomLibs { image imageLink imageCreatedAt sha os osVersion baseImage baseImageVersion tag layer registryName source } sha maintainersList { name email } runtimeStatus runtimeContext { runtimeStatus cloudContexts { provider accountId region clusterName namespace containerRuntime } } usedVersionReleaseDate projectDescription firstSeenDate pinState declaredConstraint lockfilePresent referenceCount imageSource } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      getSingleSbomLibraryInput: {
        scanId: "c9da693d-8906-4a32-93c9-2ffdb1cebb99",
        appId: "30966426",
        library: "example",
        libraryName: "example",
        triggerPackage: "example",
        libId: "example"
      }
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'query GetSingleSbomLibrary($getSingleSbomLibraryInput: GetSingleSbomLibraryInput) { getSingleSbomLibrary(getSingleSbomLibraryInput: $getSingleSbomLibraryInput) { id references { triggerPackage location locationLink dependencyType dependencyLevel commit { commitedAt committerName committerEmail } fileName declaredConstraint } language libraryName libraryVersion license appName location dependencyType source appId locationLink appLink pkgName copyWriteInfo copyWriteInfoLink libLink vulnerabilityCounts { appox critical high medium low info } triggerPackage vulnerabilities { issueId cwe { name shortName description url } cveSeverityFactor { sfName sfDescription sfChangedNumber evidences { key value link snippet { snippetLineNumber language text fileName } callBranch } } oxSeverity severityNumberFromTool severityFromTool cve cveLink cvsVer cvssVersion epss percentile libName dependencyChain runtimeStatus runtimeContext { runtimeStatus cloudContexts { provider accountId region clusterName namespace containerRuntime } } libVersion chainDepth exploitInTheWild exploitInTheWildLink description dateDiscovered minorVerWithFix majorVerWithFix exploitRequirement exploitCode originalSeverity } latestVersion latestVersionDate stars forks openIssues packageManager purl packageManagerLink maintainers contributors downloads sourceLink notPopular licenseIssue malicious malwareType osVname notMaintained isDeprecated notImported notUpdated dependencyLevel requestId licenseLink artifactInSbomLibs { image imageLink imageCreatedAt sha os osVersion baseImage baseImageVersion tag layer registryName source } sha maintainersList { name email } runtimeStatus runtimeContext { runtimeStatus cloudContexts { provider accountId region clusterName namespace containerRuntime } } usedVersionReleaseDate projectDescription firstSeenDate pinState declaredConstraint lockfilePresent referenceCount imageSource } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "getSingleSbomLibraryInput": {
        "scanId": "c9da693d-8906-4a32-93c9-2ffdb1cebb99",
        "appId": "30966426",
        "library": "example",
        "libraryName": "example",
        "triggerPackage": "example",
        "libId": "example"
      }
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `getSingleSbomLibrary` query.

| Argument                                                                                                                                          | Description                                               | Supported fields                                                                                                                                                                                    |
| ------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| getSingleSbomLibraryInput [`GetSingleSbomLibraryInput`](/api-documentation/api-reference/api--sbom/types/inputs/get-single-sbom-library-input.md) | Parameters identifying which specific library to retrieve | <p>scanId <code>String</code><br>appId <code>String</code><br>library <code>String</code><br>libraryName <code>String</code><br>triggerPackage <code>String</code><br>libId <code>String</code></p> |

### Fields

Return type: [`SbomLib`](/api-documentation/api-reference/api--issue/types/objects/sbom-lib.md)

You can use the following field(s) to specify what information your `getSingleSbomLibrary` query will return. Please note that some fields may have their own subfields.

| Field                                                                                                                           | Description                                                                                                                                                                                                                                                                                                                                                              | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| ------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id `String`                                                                                                                     | Unique identifier of the SBOM library                                                                                                                                                                                                                                                                                                                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| references [`[SbomReference]`](/api-documentation/api-reference/api--issue/types/objects/sbom-reference.md)                     | List of references associated with this library                                                                                                                                                                                                                                                                                                                          | <p>triggerPackage <code>String</code><br>location <code>String</code><br>locationLink <code>String</code><br>dependencyType <code>String</code><br>dependencyLevel <code>Int</code><br>commit <a href="/pages/6IdKGbBHPZPCQ71KffnR"><code>SbomCommit</code></a><br>fileName <code>String</code><br>declaredConstraint <code>String</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| ~~appType `String`~~ ⚠️                                                                                                         | **Deprecated**: This field is not used anymore                                                                                                                                                                                                                                                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| language `String`                                                                                                               | Programming language of the library                                                                                                                                                                                                                                                                                                                                      |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| ~~libId `String`~~ ⚠️                                                                                                           | **Deprecated**: This field is not used anymore                                                                                                                                                                                                                                                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| libraryName `String`                                                                                                            | Official name of the library                                                                                                                                                                                                                                                                                                                                             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| libraryVersion `String`                                                                                                         | Version string of the library                                                                                                                                                                                                                                                                                                                                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| license `String`                                                                                                                | License type(s) of the library                                                                                                                                                                                                                                                                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| appName `String`                                                                                                                | Name of the application that uses the library                                                                                                                                                                                                                                                                                                                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| location `String`                                                                                                               | Location path where the library is used or referenced                                                                                                                                                                                                                                                                                                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| dependencyType `String`                                                                                                         | Type of dependency                                                                                                                                                                                                                                                                                                                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| source `String`                                                                                                                 | Source of the library                                                                                                                                                                                                                                                                                                                                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| appId `String`                                                                                                                  | Application identifier using the library                                                                                                                                                                                                                                                                                                                                 |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| locationLink `String`                                                                                                           | URL link to the location where the library is used                                                                                                                                                                                                                                                                                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| appLink `String`                                                                                                                | URL link to the application                                                                                                                                                                                                                                                                                                                                              |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| pkgName `String`                                                                                                                | Package name of the library                                                                                                                                                                                                                                                                                                                                              |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| copyWriteInfo `[String]`                                                                                                        | List of copyright notices associated with the library                                                                                                                                                                                                                                                                                                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| copyWriteInfoLink `String`                                                                                                      | Link to the copyright information                                                                                                                                                                                                                                                                                                                                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| libLink `String`                                                                                                                | URL link to the library source or homepage                                                                                                                                                                                                                                                                                                                               |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| vulnerabilityCounts [`IssuesBySeverity`](/api-documentation/api-reference/api--issue/types/objects/issues-by-severity.md)       | Counts of vulnerabilities by severity                                                                                                                                                                                                                                                                                                                                    | <p>appox <code>Int</code><br>critical <code>Int</code><br>high <code>Int</code><br>medium <code>Int</code><br>low <code>Int</code><br>info <code>Int</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| triggerPackage `String`                                                                                                         | Package that triggered this library in the dependency graph                                                                                                                                                                                                                                                                                                              |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| vulnerabilities [`[SCAVulnerability]`](/api-documentation/api-reference/api--issue/types/objects/sca-vulnerability.md)          | List of software composition analysis vulnerabilities associated                                                                                                                                                                                                                                                                                                         | <p>issueId <code>String</code><br>cwe <a href="/pages/xQxyHO9aImT436f6zIjl"><code>\[CweObject]</code></a><br>cveSeverityFactor <a href="/pages/QqNEBCRcyUFxXwTPnEZg"><code>\[CveSeverityFactor]</code></a><br>oxSeverity <code>String</code><br>severityNumberFromTool <code>String</code><br>severityFromTool <code>String</code><br>cve <code>String</code><br>cveLink <code>String</code><br>cvsVer <code>String</code><br>cvssVersion <code>Float</code><br>epss <code>Float</code><br>percentile <code>Float</code><br>libName <code>String</code><br>dependencyChain <code>String</code><br>runtimeStatus <code>String</code><br>runtimeContext <a href="/pages/ZEHfyqwf9VemeMXWogiS"><code>RuntimeInfo</code></a><br>libVersion <code>String</code><br>chainDepth <code>Int</code><br>exploitInTheWild <code>Boolean</code><br>exploitInTheWildLink <code>String</code><br>description <code>String</code><br>dateDiscovered <code>String</code><br>minorVerWithFix <code>String</code><br>majorVerWithFix <code>String</code><br>exploitRequirement <code>String</code><br>exploitCode <code>String</code><br>originalSeverity <code>String</code></p> |
| latestVersion `String`                                                                                                          | Latest available version of the library                                                                                                                                                                                                                                                                                                                                  |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| latestVersionDate `String`                                                                                                      | Release date of the latest version                                                                                                                                                                                                                                                                                                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| stars `Int`                                                                                                                     | Number of stars (popularity metric) on the repository                                                                                                                                                                                                                                                                                                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| forks `Int`                                                                                                                     | Number of forks on the repository                                                                                                                                                                                                                                                                                                                                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| openIssues `Int`                                                                                                                | Number of open issues in the repository                                                                                                                                                                                                                                                                                                                                  |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| packageManager `String`                                                                                                         | Package manager name                                                                                                                                                                                                                                                                                                                                                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| purl `String`                                                                                                                   | Package URL (PURL) identifier for this library, e.g. pkg:npm/lodash\@4.17.21                                                                                                                                                                                                                                                                                             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| packageManagerLink `String`                                                                                                     | URL link to the package manager page                                                                                                                                                                                                                                                                                                                                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| maintainers `Int`                                                                                                               | Number of maintainers of the library                                                                                                                                                                                                                                                                                                                                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| contributors `Int`                                                                                                              | Number of contributors to the library                                                                                                                                                                                                                                                                                                                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| downloads `Int`                                                                                                                 | Number of downloads for the library                                                                                                                                                                                                                                                                                                                                      |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| sourceLink `String`                                                                                                             | Source code link                                                                                                                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| notPopular `Boolean`                                                                                                            | Indicates if the library is considered not popular                                                                                                                                                                                                                                                                                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| licenseIssue `Boolean`                                                                                                          | Indicates if the library has license compliance issues                                                                                                                                                                                                                                                                                                                   |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| malicious `Boolean`                                                                                                             | Indicates if the library is malicious                                                                                                                                                                                                                                                                                                                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| malwareType `String`                                                                                                            | Malware type                                                                                                                                                                                                                                                                                                                                                             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| osVname `String`                                                                                                                | Operating system                                                                                                                                                                                                                                                                                                                                                         |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| notMaintained `Boolean`                                                                                                         | Indicates if the library is not actively maintained                                                                                                                                                                                                                                                                                                                      |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| isDeprecated `Boolean`                                                                                                          | Indicates if the library is deprecated                                                                                                                                                                                                                                                                                                                                   |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| notImported `Boolean`                                                                                                           | Deprecated: Indicates if the library is not imported (use other fields)                                                                                                                                                                                                                                                                                                  |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| ~~notUsed `Boolean`~~ ⚠️                                                                                                        | **Deprecated**: No longer supported                                                                                                                                                                                                                                                                                                                                      |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| notUpdated `Boolean`                                                                                                            | Indicates if the library version is not up-to-date                                                                                                                                                                                                                                                                                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| dependencyLevel `Int`                                                                                                           | Dependency level in the graph                                                                                                                                                                                                                                                                                                                                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| requestId `String`                                                                                                              | Request identifier associated with the data fetch                                                                                                                                                                                                                                                                                                                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| licenseLink `String`                                                                                                            | Link to the license details                                                                                                                                                                                                                                                                                                                                              |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| artifactInSbomLibs [`[ArtifactInSbomLibs]`](/api-documentation/api-reference/api--issue/types/objects/artifact-in-sbom-libs.md) | List of artifacts that include this library                                                                                                                                                                                                                                                                                                                              | <p>image <code>String</code><br>imageLink <code>String</code><br>imageCreatedAt <code>String</code><br>sha <code>String</code><br>os <code>String</code><br>osVersion <code>String</code><br>baseImage <code>String</code><br>baseImageVersion <code>String</code><br>tag <code>String</code><br>layer <code>String</code><br>registryName <code>String</code><br>source <code>String</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| sha `String`                                                                                                                    | SHA hash associated with the library                                                                                                                                                                                                                                                                                                                                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| maintainersList [`[Maintainer]`](/api-documentation/api-reference/api--issue/types/objects/maintainer.md)                       | List of maintainers with detailed info                                                                                                                                                                                                                                                                                                                                   | <p>name <code>String</code><br>email <code>String</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| runtimeStatus `String`                                                                                                          | Runtime status of the library indicating eBPF loading state                                                                                                                                                                                                                                                                                                              |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
[...]
